hari 12 laravel basic/laravel-basic/routes/web.php
<?php

use App\Http\Controllers\AuthController;
use App\Http\Controllers\CastController;
use App\Http\Controllers\HomeController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', [HomeController::class,'index']);
Route::get('/register', [AuthController::class,'register']);
Route::post('/welcome', [AuthController::class,'store']);

Route::get('/', function (){
    return view('halaman.home');
});

Route::get('/table', function (){
    return view('halaman.table');
});

Route::get('/data-table', function (){
    return view('halaman.datatable');
});

Route::resource('/cast', CastController::class);

hari 12 laravel basic/laravel-basic/app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

hari 12 laravel basic/laravel-basic/app/Http/Controllers/AuthController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class AuthController extends Controller
{
    public function register(){
        return view('halaman.register');
    }

    public function store(Request $request){

        // dd($request->all());
        $bahasa = json_encode($request->language);
        $firstName = $request['firstName'];
        $lastName = $request['lastName'];
        $gender = $request['gender'];
        $nationality = $request['nationality'];
        // foreach ($request['language'] as $key => $value) {
        //     array_push($bahasa,['language' => $value]);
        // }
        $bio = $request['bio'];
        return view('halaman.welcome', [
            'firstName' => $firstName,
            'lastName' => $lastName,
            'gender' => $gender,
            'bahasa' => $bahasa,
            'nationality' => $nationality,
            'bio' => $bio,

        ]);
    }

    public function welcome(){
        return view('halaman.welcome');
    }
}

hari 12 laravel basic/laravel-basic/app/Http/Controllers/CastController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class CastController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $cast = DB::table('cast')->get();
        return view('halaman.cast.index',compact('cast'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('halaman.cast.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'nama' => 'required|unique:cast',
            'umur' => 'required|integer',
            'bio' => 'required|max:100'
        ]);
        $query = DB::table('cast')->insert([
            "nama" => $request["nama"],
            "umur" => $request["umur"],
            "bio" => $request["bio"]
        ]);
        return redirect('/cast')->with('success','Cast Berhasil Ditambahkan');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $cast = DB::table('cast')->where('id', $id)->first();
        return view('halaman.cast.show', compact('cast'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $cast = DB::table('cast')->where('id', $id)->first();
        return view('halaman.cast.edit', compact('cast'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $request->validate([
            'nama' => 'required|unique:cast',
            'umur' => 'required|integer',
            'bio' => 'required|max:100'
        ]);
        $query = DB::table('cast')->where('id',$id)->update([
            "nama" => $request["nama"],
            "umur" => $request["umur"],
            "bio" => $request["bio"]
        ]);
        return redirect('/cast')->with('success','Cast Berhasil Diubah');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $cast = DB::table('cast')->where('id', $id)->delete();
        return redirect('/cast')->with('success','Cast Berhasil Dihapus');
    }
}

hari 12 laravel basic/laravel-basic/app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

hari 12 laravel basic/laravel-basic/app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class HomeController extends Controller
{
    public function index(){
        return view('home');
    }
}

hari 12 laravel basic/laravel-basic/resources/views/halaman/cast/create.blade.php
@extends('layout.master')
@section('judul')
Halaman Cast
@endsection
@section('content')
<div>
    <h2>Tambah Data</h2>
    <form action="{{ route('cast.store') }}" method="POST">
        @csrf
        <div class="form-group">
            <label for="nama">Nama</label>
            <input type="text" class="form-control" name="nama" id="nama" placeholder="Masukkan Nama">
            @error('nama')
            <div class="alert alert-danger">
                {{ $message }}
            </div>
            @enderror
        </div>
        <div class="form-group">
            <label for="umur">Umur</label>
            <input type="number" class="form-control" name="umur" id="umur" placeholder="Masukkan Umur">
            @error('umur')
            <div class="alert alert-danger">
                {{ $message }}
            </div>
            @enderror
        </div>
        <div class="form-group">
            <label for="bio">Bio</label>
            <input type="text" class="form-control" name="bio" id="bio" placeholder="Masukkan Bio">
            @error('bio')
            <div class="alert alert-danger">
                {{ $message }}
            </div>
            @enderror
        </div>
        <button type="submit" class="btn btn-primary">Tambah</button>
    </form>
</div>
@endsection

hari 12 laravel basic/laravel-basic/resources/views/halaman/cast/edit.blade.php
@extends('layout.master')
@section('judul')
Halaman Edit Cast
@endsection
@section('content')
<div>
    <h2>Ubah Data</h2>
    <form action="{{ route('cast.update', $cast->id) }}" method="POST">
        @csrf
        @method('PUT')
        <div class="form-group">
            <label for="nama">Nama</label>
            <input type="text" class="form-control" value="{{ $cast->nama }}" name="nama" id="nama" placeholder="Masukkan Nama">
            @error('nama')
            <div class="alert alert-danger">
                {{ $message }}
            </div>
            @enderror
        </div>
        <div class="form-group">
            <label for="umur">Umur</label>
            <input type="number" class="form-control" value="{{ $cast->umur }}" name="umur" id="umur" placeholder="Masukkan Umur">
            @error('umur')
            <div class="alert alert-danger">
                {{ $message }}
            </div>
            @enderror
        </div>
        <div class="form-group">
            <label for="bio">Bio</label>
            <input type="text" class="form-control" value="{{ $cast->bio }}" name="bio" id="bio" placeholder="Masukkan Bio">
            @error('bio')
            <div class="alert alert-danger">
                {{ $message }}
            </div>
            @enderror
        </div>
        <button type="submit" class="btn btn-primary">Simpan</button>
    </form>
</div>
@endsection

hari 12 laravel basic/laravel-basic/resources/views/halaman/cast/index.blade.php
@extends('layout.master')
@section('judul')
Halaman Cast
@endsection
@push('css')
<link rel="stylesheet" href="https://cdn.datatables.net/1.13.7/css/jquery.dataTables.min.css">
@endpush

@push('js')
<script>
    $(document).ready( function () {
    $('#myTable').DataTable();
} );
</script>
<script src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script>
    const swal = $('.swal').data('swal');
        if (swal) {
            Swal.fire({
                'title': 'success',
                'text': swal,
                'icon': 'success'
            })
        }
</script>
@endpush
@section('content')
<div class="swal" data-swal="{{ session('success') }}"></div>
<a href="{{ route('cast.create') }}" class="btn btn-primary mb-2">Tambah</a>
<table class="table" id="myTable">
    <thead class="thead-light">
        <tr>
            <th scope="col">No</th>
            <th scope="col">Nama</th>
            <th scope="col">Umur</th>
            <th scope="col">Bio</th>
            <th scope="col">Actions</th>
        </tr>
    </thead>
    <tbody>
        @forelse ($cast as $key)
        <tr>
            <td>{{$loop->iteration}}</th>
            <td>{{$key->nama}}</td>
            <td>{{$key->umur}}</td>
            <td>{{$key->bio}}</td>
            <td>
                <form action="/cast/{{$key->id}}" method="POST">
                    @csrf
                    @method('DELETE')
                    <a href="/cast/{{$key->id}}" class="btn btn-info">Show</a>
                    <a href="/cast/{{$key->id}}/edit" class="btn btn-primary">Edit</a>
                    <input type="submit" class="btn btn-danger my-1" value="Delete">
                </form>
            </td>
        </tr>
        @empty
        <tr colspan="3">
            <td>No data</td>
        </tr>
        @endforelse
    </tbody>
</table>
@endsection

hari 12 laravel basic/laravel-basic/resources/views/halaman/cast/show.blade.php
@extends('layout.master')
@section('judul')
Halaman Show Cast
@endsection
@section('content')
<table class="table table-stripped table-bordered bg-white">
    <tr>
        <th width="250px">Nama</th>
        <td>{{ $cast->nama }}</td>
    </tr>
    <tr>
        <th>Umur</th>
        <td>{{ $cast->umur }}</td>
    </tr>
    <tr>
        <th>Bio</th>
        <td>{{ $cast->bio }}</td>
    </tr>
</table>
@endsection

hari 12 laravel basic/laravel-basic/resources/views/halaman/datatable.blade.php
@extends('layout.master')
@section('judul')
Halaman Data Table
@endsection

@push('css')
<link rel="stylesheet" href="https://cdn.datatables.net/1.13.7/css/jquery.dataTables.min.css">
@endpush

@push('js')
<script>
    $(document).ready( function () {
    $('#myTable').DataTable();
} );
</script>
<script src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.min.js"></script>
@endpush

@section('content')
<table id="myTable" class="table table-bordered table-striped">
    <thead>
    <tr>
      <th>Rendering engine</th>
      <th>Browser</th>
      <th>Platform(s)</th>
      <th>Engine version</th>
      <th>CSS grade</th>
    </tr>
    </thead>
    <tbody>
    <tr>
      <td>Trident</td>
      <td>Internet
        Explorer 4.0
      </td>
      <td>Win 95+</td>
      <td> 4</td>
      <td>X</td>
    </tr>
    <tr>
      <td>Trident</td>
      <td>Internet
        Explorer 5.0
      </td>
      <td>Win 95+</td>
      <td>5</td>
      <td>C</td>
    </tr>
    <tr>
      <td>Trident</td>
      <td>Internet
        Explorer 5.5
      </td>
      <td>Win 95+</td>
      <td>5.5</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Trident</td>
      <td>Internet
        Explorer 6
      </td>
      <td>Win 98+</td>
      <td>6</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Trident</td>
      <td>Internet Explorer 7</td>
      <td>Win XP SP2+</td>
      <td>7</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Trident</td>
      <td>AOL browser (AOL desktop)</td>
      <td>Win XP</td>
      <td>6</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Gecko</td>
      <td>Firefox 1.0</td>
      <td>Win 98+ / OSX.2+</td>
      <td>1.7</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Gecko</td>
      <td>Firefox 1.5</td>
      <td>Win 98+ / OSX.2+</td>
      <td>1.8</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Gecko</td>
      <td>Firefox 2.0</td>
      <td>Win 98+ / OSX.2+</td>
      <td>1.8</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Gecko</td>
      <td>Firefox 3.0</td>
      <td>Win 2k+ / OSX.3+</td>
      <td>1.9</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Gecko</td>
      <td>Camino 1.0</td>
      <td>OSX.2+</td>
      <td>1.8</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Gecko</td>
      <td>Camino 1.5</td>
      <td>OSX.3+</td>
      <td>1.8</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Gecko</td>
      <td>Netscape 7.2</td>
      <td>Win 95+ / Mac OS 8.6-9.2</td>
      <td>1.7</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Gecko</td>
      <td>Netscape Browser 8</td>
      <td>Win 98SE+</td>
      <td>1.7</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Gecko</td>
      <td>Netscape Navigator 9</td>
      <td>Win 98+ / OSX.2+</td>
      <td>1.8</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Gecko</td>
      <td>Mozilla 1.0</td>
      <td>Win 95+ / OSX.1+</td>
      <td>1</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Gecko</td>
      <td>Mozilla 1.1</td>
      <td>Win 95+ / OSX.1+</td>
      <td>1.1</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Gecko</td>
      <td>Mozilla 1.2</td>
      <td>Win 95+ / OSX.1+</td>
      <td>1.2</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Gecko</td>
      <td>Mozilla 1.3</td>
      <td>Win 95+ / OSX.1+</td>
      <td>1.3</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Gecko</td>
      <td>Mozilla 1.4</td>
      <td>Win 95+ / OSX.1+</td>
      <td>1.4</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Gecko</td>
      <td>Mozilla 1.5</td>
      <td>Win 95+ / OSX.1+</td>
      <td>1.5</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Gecko</td>
      <td>Mozilla 1.6</td>
      <td>Win 95+ / OSX.1+</td>
      <td>1.6</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Gecko</td>
      <td>Mozilla 1.7</td>
      <td>Win 98+ / OSX.1+</td>
      <td>1.7</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Gecko</td>
      <td>Mozilla 1.8</td>
      <td>Win 98+ / OSX.1+</td>
      <td>1.8</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Gecko</td>
      <td>Seamonkey 1.1</td>
      <td>Win 98+ / OSX.2+</td>
      <td>1.8</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Gecko</td>
      <td>Epiphany 2.20</td>
      <td>Gnome</td>
      <td>1.8</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Webkit</td>
      <td>Safari 1.2</td>
      <td>OSX.3</td>
      <td>125.5</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Webkit</td>
      <td>Safari 1.3</td>
      <td>OSX.3</td>
      <td>312.8</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Webkit</td>
      <td>Safari 2.0</td>
      <td>OSX.4+</td>
      <td>419.3</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Webkit</td>
      <td>Safari 3.0</td>
      <td>OSX.4+</td>
      <td>522.1</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Webkit</td>
      <td>OmniWeb 5.5</td>
      <td>OSX.4+</td>
      <td>420</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Webkit</td>
      <td>iPod Touch / iPhone</td>
      <td>iPod</td>
      <td>420.1</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Webkit</td>
      <td>S60</td>
      <td>S60</td>
      <td>413</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Presto</td>
      <td>Opera 7.0</td>
      <td>Win 95+ / OSX.1+</td>
      <td>-</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Presto</td>
      <td>Opera 7.5</td>
      <td>Win 95+ / OSX.2+</td>
      <td>-</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Presto</td>
      <td>Opera 8.0</td>
      <td>Win 95+ / OSX.2+</td>
      <td>-</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Presto</td>
      <td>Opera 8.5</td>
      <td>Win 95+ / OSX.2+</td>
      <td>-</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Presto</td>
      <td>Opera 9.0</td>
      <td>Win 95+ / OSX.3+</td>
      <td>-</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Presto</td>
      <td>Opera 9.2</td>
      <td>Win 88+ / OSX.3+</td>
      <td>-</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Presto</td>
      <td>Opera 9.5</td>
      <td>Win 88+ / OSX.3+</td>
      <td>-</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Presto</td>
      <td>Opera for Wii</td>
      <td>Wii</td>
      <td>-</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Presto</td>
      <td>Nokia N800</td>
      <td>N800</td>
      <td>-</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Presto</td>
      <td>Nintendo DS browser</td>
      <td>Nintendo DS</td>
      <td>8.5</td>
      <td>C/A<sup>1</sup></td>
    </tr>
    <tr>
      <td>KHTML</td>
      <td>Konqureror 3.1</td>
      <td>KDE 3.1</td>
      <td>3.1</td>
      <td>C</td>
    </tr>
    <tr>
      <td>KHTML</td>
      <td>Konqureror 3.3</td>
      <td>KDE 3.3</td>
      <td>3.3</td>
      <td>A</td>
    </tr>
    <tr>
      <td>KHTML</td>
      <td>Konqureror 3.5</td>
      <td>KDE 3.5</td>
      <td>3.5</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Tasman</td>
      <td>Internet Explorer 4.5</td>
      <td>Mac OS 8-9</td>
      <td>-</td>
      <td>X</td>
    </tr>
    <tr>
      <td>Tasman</td>
      <td>Internet Explorer 5.1</td>
      <td>Mac OS 7.6-9</td>
      <td>1</td>
      <td>C</td>
    </tr>
    <tr>
      <td>Tasman</td>
      <td>Internet Explorer 5.2</td>
      <td>Mac OS 8-X</td>
      <td>1</td>
      <td>C</td>
    </tr>
    <tr>
      <td>Misc</td>
      <td>NetFront 3.1</td>
      <td>Embedded devices</td>
      <td>-</td>
      <td>C</td>
    </tr>
    <tr>
      <td>Misc</td>
      <td>NetFront 3.4</td>
      <td>Embedded devices</td>
      <td>-</td>
      <td>A</td>
    </tr>
    <tr>
      <td>Misc</td>
      <td>Dillo 0.8</td>
      <td>Embedded devices</td>
      <td>-</td>
      <td>X</td>
    </tr>
    <tr>
      <td>Misc</td>
      <td>Links</td>
      <td>Text only</td>
      <td>-</td>
      <td>X</td>
    </tr>
    <tr>
      <td>Misc</td>
      <td>Lynx</td>
      <td>Text only</td>
      <td>-</td>
      <td>X</td>
    </tr>
    <tr>
      <td>Misc</td>
      <td>IE Mobile</td>
      <td>Windows Mobile 6</td>
      <td>-</td>
      <td>C</td>
    </tr>
    <tr>
      <td>Misc</td>
      <td>PSP browser</td>
      <td>PSP</td>
      <td>-</td>
      <td>C</td>
    </tr>
    <tr>
      <td>Other browsers</td>
      <td>All others</td>
      <td>-</td>
      <td>-</td>
      <td>U</td>
    </tr>
    </tbody>
    <tfoot>
    <tr>
      <th>Rendering engine</th>
      <th>Browser</th>
      <th>Platform(s)</th>
      <th>Engine version</th>
      <th>CSS grade</th>
    </tr>
    </tfoot>
  </table>
@endsection

hari 12 laravel basic/laravel-basic/resources/views/halaman/home.blade.php
@extends('layout.master')
@section('judul')
Halaman Biodata
@endsection

@section('content')
<h1>SanberBook</h1>

<h2>Social Media Developer Santai Berkualitas</h2>
<p>Belajar dan Berbagi agar hidup ini semakin santai berkualitas</p>

<h2>Benefit Join di Sanber Book</h2>
<ul>
    <li>Mendapatkan motivasi dari sesama developer</li>
    <li>Sharing knowledge dari para mastah Sanber</li>
    <li>Dibuat oleh calon web developer terbaik</li>
</ul>

<h2>Cara Bergabung ke SanberBook</h2>
<ol>
    <li>Mengunjungi Website ini</li>
    <li>Mendapat di <a href="{{ url('/register') }}">Form Sign Up</a></li>
    <li>Selesai!</li>
</ol>
@endsection

hari 12 laravel basic/laravel-basic/resources/views/halaman/register.blade.php
@extends('layout.master')
@section('judul')
Halaman Utama
@endsection

@section('content')
    <h1>Buat Account Baru!</h1>
    <h2>Sign Up Form</h2>

    <form action="{{ url('welcome') }}" method="POST">
        @csrf
        <label for="firstName">First Name:</label> <br><br>
        <input type="text" name="firstName" placeholder="First Name..." required><br>
        <br>
        <label for="lastName">Last Name:</label> <br><br>
        <input type="text" name="lastName" placeholder="Last Name..." required><br>
        <br>
        <Label for="gender">Gender:</Label><br><br>
        <input type="radio" name="gender" value="0" required>Male<br>
        <input type="radio" name="gender" value="1">Female<br>
        <br>
        <Label for="nationality">Nationality:</Label><br><br>
        <select name="nationality" id="nationality">
            <option value="none" hidden>-- Pilih --</option>
            <option value="Indonesian">Indonesian</option>
            <option value="Singaporean">Singaporean</option>
            <option value="Malaysian">Malaysian</option>
            <option value="Australian">Australian</option>
        </select>
        <br><br>
        <Label for="language">Language Spoken:</Label><br><br>
        <input type="checkbox" name="language[]" value="Bahasa Indonesia">Bahasa Indonesia<br>
        <input type="checkbox" name="language[]" value="English">English<br>
        <input type="checkbox" name="language[]" value="Japanese">Japanese<br>
        <br>
        <Label for="bio">Bio:</Label><br><br>
        <textarea name="bio" id="" cols="30" rows="10" required></textarea>
        <br>
        <input type="submit" value="Sign Up">
    </form>
    @endsection

hari 12 laravel basic/laravel-basic/resources/views/halaman/table.blade.php
@extends('layout.master')
@section('judul')
Halaman Table
@endsection

@push('css')
<link rel="stylesheet" href="https://cdn.datatables.net/1.13.7/css/jquery.dataTables.min.css">
@endpush

@push('js')
<script>
    $(document).ready( function () {
    $('#myTable').DataTable();
} );
</script>
<script src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.min.js"></script>
@endpush

@section('content')
<table class="table table-bordered">
    <thead>                  
      <tr>
        <th style="width: 10px">#</th>
        <th>Task</th>
        <th>Progress</th>
        <th style="width: 40px">Label</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>1.</td>
        <td>Update software</td>
        <td>
          <div class="progress progress-xs">
            <div class="progress-bar progress-bar-danger" style="width: 55%"></div>
          </div>
        </td>
        <td><span class="badge bg-danger">55%</span></td>
      </tr>
      <tr>
        <td>2.</td>
        <td>Clean database</td>
        <td>
          <div class="progress progress-xs">
            <div class="progress-bar bg-warning" style="width: 70%"></div>
          </div>
        </td>
        <td><span class="badge bg-warning">70%</span></td>
      </tr>
      <tr>
        <td>3.</td>
        <td>Cron job running</td>
        <td>
          <div class="progress progress-xs progress-striped active">
            <div class="progress-bar bg-primary" style="width: 30%"></div>
          </div>
        </td>
        <td><span class="badge bg-primary">30%</span></td>
      </tr>
      <tr>
        <td>4.</td>
        <td>Fix and squish bugs</td>
        <td>
          <div class="progress progress-xs progress-striped active">
            <div class="progress-bar bg-success" style="width: 90%"></div>
          </div>
        </td>
        <td><span class="badge bg-success">90%</span></td>
      </tr>
    </tbody>
  </table>
@endsection